package net.sf.javaprinciples.data.transformer;

/**
 * ModelElementMapper implementations require different constructions.
 * The ModelElementMapperFactory will construct the ModelElementMapper and then delegate to this interface to
 * complete construction.
 *
 * @author Warwick Slade
 */
public interface ModelElementMapperBuilder<T extends ModelElementMapper>
{
    public void build(T mapperModelElement, TransformerFactory.DIRECTION_TYPE direction);
}
